<h1>Bonjour {{user?.name}}</h1>
<ng-container *ngIf="user">
  <h1>Créer une nouvelle carte</h1>

  <ng-container *ngIf="!userValid && !user.admin">
    Votre utilisateur ne contient pas de cardId
  </ng-container>
  <ng-container *ngIf="userValid">

    <div *ngIf="secret && !authorizationGiven">
      <h2>Accepter la requête</h2>
      <button (click)="accept()">Accepter</button>

    </div>


  </ng-container>
  <ng-container *ngIf="user.admin && !authorizationGiven">
    <h2>Créer une carte pour un autre utilisateur</h2>
    <select [(ngModel)]="selectedUser">
      <option *ngFor="let user of userList" [ngValue]="user">{{user.name}}</option>
    </select>
    <button (click)="acceptOtherUser()">Accepter</button>
  </ng-container>
  <div *ngIf="authorizationAccepted">
    placez la carte sur la borne quand les leds clignotent rapidement en bleu.
  </div>
</ng-container>
<ng-container *ngIf="!user">
  Chargement
</ng-container>


